Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
List all campaigns (call, WhatsApp, SMS)
cURL
curl --request GET \ --url https://app.receptonic.com/api/user/campaigns \ --header 'Authorization: Bearer <token>'
import requests url = "https://app.receptonic.com/api/user/campaigns" headers = {"Authorization": "Bearer <token>"} response = requests.get(url, headers=headers) print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}}; fetch('https://app.receptonic.com/api/user/campaigns', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
<?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://app.receptonic.com/api/user/campaigns", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", CURLOPT_HTTPHEADER => [ "Authorization: Bearer <token>" ], ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; }
package main import ( "fmt" "net/http" "io" ) func main() { url := "https://app.receptonic.com/api/user/campaigns" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Bearer <token>") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(string(body)) }
HttpResponse<String> response = Unirest.get("https://app.receptonic.com/api/user/campaigns") .header("Authorization", "Bearer <token>") .asString();
require 'uri' require 'net/http' url = URI("https://app.receptonic.com/api/user/campaigns") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Bearer <token>' response = http.request(request) puts response.read_body
[ { "id": 1, "name": "Product Demo Campaign", "channel": "call", "status": "in-progress", "assistant_id": 42, "timezone": "Europe/Bucharest", "max_calls_in_parallel": 3, "messages_per_minute": null, "schedule_windows": [{ "start": "09:00", "end": "18:00" }], "scheduled_start_at": null, "allowed_hours_start_time": "09:00:00", "allowed_hours_end_time": "18:00:00", "allowed_days": ["monday", "tuesday", "wednesday", "thursday", "friday"], "max_retries": 3, "retry_interval": 60, "retry_on_voicemail": false, "retry_on_goal_incomplete": false, "goal_completion_variable": null, "mark_complete_when_no_leads": true, "phone_number_ids": [11], "whatsapp_sender_id": null, "whatsapp_template_id": null, "sms_from_phone_number_id": null, "sms_body": null, "text_variable_mapping": null, "fallback_channel": "whatsapp", "fallback_whatsapp_sender_id": 7, "fallback_whatsapp_template_id": 15, "fallback_sms_from_phone_number_id": null, "fallback_sms_body": null, "fallback_variable_mapping": { "1": "customer_name" }, "created_at": "2026-07-24 10:00:00", "updated_at": "2026-07-24 12:00:00" }, { "id": 2, "name": "WhatsApp Follow-up", "channel": "whatsapp", "status": "draft", "assistant_id": null, "messages_per_minute": 10, "schedule_windows": [{ "start": "09:00", "end": "20:00" }], "whatsapp_sender_id": 7, "whatsapp_template_id": 15, "text_variable_mapping": { "1": "customer_name" }, "fallback_channel": null } ]
call
whatsapp
sms
draft
scheduled
in-progress
paused
completed
null
[{ "start": "HH:MM", "end": "HH:MM" }]